#
# spec file for package openttd-openmsx
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           openttd-openmsx
Version:        0.4.2
Release:        bp154.1.17
Summary:        An OpenTTD Music set
License:        GPL-2.0-only
Group:          Amusements/Games/Strategy/Other
URL:            https://github.com/OpenTTD/OpenMSX
Source0:        https://cdn.openttd.org/openmsx-releases/%{version}/openmsx-%{version}-source.tar.xz
BuildRequires:  python
Requires:       openttd-data >= 1.2
Recommends:     fluid-soundfont-gm
BuildArch:      noarch

%description
OpenMSX is a base music set for OpenTTD.

%prep
%setup -q -n openmsx-%{version}-source

%build
%make_build PYTHON=%{_bindir}/python3 REPO_VERSION=%{version} _V=

%install
%make_install INSTALL_DIR=%{buildroot}%{_datadir}/openttd/baseset PYTHON=%{_bindir}/python3 REPO_VERSION=%{version} _V=

%define omsxdir %{_datadir}/openttd/baseset/openmsx-%{version}

%files
%license %{omsxdir}/license.txt
%doc %{omsxdir}/changelog.txt
%doc %{omsxdir}/readme.txt
%dir %{_datadir}/openttd
%dir %{_datadir}/openttd/baseset
%dir %{omsxdir}
%{omsxdir}/openmsx.obm
%{omsxdir}/*.mid

%changelog
* Sat Nov 27 2021 Alexei Sorokin <sor.alexei@meowr.ru>
- Recommend fluid-soundfont-gm instead of timidity: works more
  natively with FluidSynth support in OpenTTD.
* Thu Oct 21 2021 Jan Baier <jbaier@suse.com>
- upstream update 0.4.2
- remove upstreamed 0001-openmsx-fix-install-target.patch
* Thu Apr 22 2021 Jan Engelhardt <jengelh@inai.de>
- Trim metadata that was repeated in description.
* Thu Apr 15 2021 Jan Baier <jbaier@suse.com>
- upstream update 0.4.0
- add not yet released patch 0001-openmsx-fix-install-target.patch
* Mon Mar 19 2012 suse@ammler.ch
- change timidity from requires to recommends (bnc#752669)
* Fri Mar 16 2012 suse@ammler.ch
- new install location for basesets
* Thu Mar 15 2012 cfarrell@suse.com
- license update: GPL-2.0
  SPDX format
* Sun Oct 31 2010 ammler@openttdcoop.org
- rename to openttd-openmsx to make it compliment to other distros
* Tue Aug 10 2010 ammler@openttdcoop.org
- upstream update 0.3.1
* Thu Jul 15 2010 ammler@openttdcoop.org
- upstream update 0.3.0
  first complete set
* Thu Apr  1 2010 Marcel Gmür <ammler@openttdcoop.org>
- upstream update 0.2.1
* Sun Mar 14 2010 Marcel Gmür <ammler@openttdcoop.org>
- Upstream update 0.2.0
* Sat Feb 27 2010 ammler@openttdcoop.org
- requires timidity
* Sat Feb 27 2010 ammler@openttdcoop.org
- initial release 0.1.0
